%define	module	anyjson

Summary:	Python wrapper for JSON implementations
Name:		python-%{module}
Version:	0.3.3
Release:	%mkrel 1
Source0:	http://pypi.python.org/packages/source/a/%{module}/%{module}-%{version}.tar.xz
License:	BSD
Group:		Development/Python
Url:		http://bitbucket.org/runeh/anyjson
BuildArch:	noarch
Recommends:	python-json, python-cjson, python-simplejson
BuildRequires:	python-devel
BuildRequires:	python-setuptools

%description
Anyjson loads whichever is the fastest JSON module installed and provides
a uniform API regardless of which JSON implementation is used.

Originally part of carrot (http://github.com/ask/carrot/)

%package -n python3-%{module}
Summary:	Wraps the best available JSON implementation available
Group:		Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-%{module}
Anyjson loads whichever is the fastest JSON module installed and
provides a uniform API regardless of which JSON implementation is used.

%prep
%setup -q -n %{module}-%{version}
cp -a . %{py3dir}

%build
%{__python} setup.py build
pushd %{py3dir}
%{__python3} setup.py build
popd

%install
rm -rf %buildroot
%{__python} setup.py install --skip-build --root %{buildroot}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
 

%files
%doc CHANGELOG README
%{python_sitelib}/%{module}/
%{python_sitelib}/%{module}*.egg-info

%files -n python3-%{module}
%doc CHANGELOG README
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}*.egg-info


%changelog
* Mon Sep 07 2015 bb <bb> 0.3.3-1pclos2015
- import for blink
